<?php

declare(strict_types=1);

namespace Jtl\Connector\Core\Model;

use JMS\Serializer\Annotation as Serializer;

/**
 * Localized customer group name.
 *
 * @access     public
 * @package    Jtl\Connector\Core\Model
 * @subpackage Product
 * @Serializer\AccessType("public_method")
 */
class CustomerGroupI18n extends AbstractI18n
{
    /**
     * @var string Localized customer group name
     * @Serializer\Type("string")
     * @Serializer\SerializedName("name")
     * @Serializer\Accessor(getter="getName",setter="setName")
     */
    protected string $name = '';

    /**
     * @return string Localized customer group name
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name Localized customer group name
     *
     * @return CustomerGroupI18n
     */
    public function setName(string $name): CustomerGroupI18n
    {
        $this->name = $name;

        return $this;
    }
}
